Summary: Process monitoring utilities (without X11)
Name: procps-nox
Version: 1.01
Release: 13
Copyright: GPL
Group: Utilities/System
Source: procps-nox-1.01.tgz
Patch0: procps-1.01-config.patch
Patch1: procps-1.01-cmdline.patch
Patch2: ftp://ftp.azstarnet.com/pub/linux/axp/glibc/procps-1.01axp.patch.gz
Patch3: procps-1.01-axponly.patch
Patch4: procps-1.01-xcpustate.patch
Patch5: procps-1.01-scale.patch
Patch6: procps-1.01-bfd.patch
Patch7: procps-1.01-ps.patch
Patch8: procps-1.01-getutent.patch
Patch9: procps-1.01-glibc.patch
Patch10: procps-1.01-nox.patch

%changelog

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>

- fixed bfd patch (a ' ' was missing)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc
- merged patches to a single set for all architectures

%package X11
Group: X11/Utilities
Summary: X-based process monitoring utilities

%description
A package of utilities which report on the state of the system.
Particular emphasis is placed on inspecting the states of running
processes, amount of memory available, and currently-logged-in users.

%description X11
A package of X-based utilities which report on the state of the system.
These utilities generally provide graphical presentations of information
available from tools in the procps suite.

%prep
%setup

# ships with executables in tarball - so we fix that
make clean

%patch0 -p1
%patch1 -p1
%patch4 -p1
%patch7 -p1

%patch5 -p1 -b .scale

%patch2 -p1 -b .axp1
%patch8 -p1 -b .getutent
%patch6 -p1 -b .bfd

%patch9 -p1 -b .glibc
%patch10 -p1 -b .nox

%build
# Cannot understand why make refuses to get INSTALLMAN from cmdline...



make CC="gcc -I/usr/X11R6/include -I/usr/include/ncurses -I`pwd` -I. $RPM_OPT_FLAGS" LDFLAGS=-s

%install
make install
mv /sbin/psupdate /usr/sbin


# All binaries are stripped by LD and by install; it is not necessary
# to strip them a third time.  Several strips here removed.


# Argh: xload conflicts with package XFree86.  
# How good is rpm at finding conflicts hidden by symlinks?

%files
%doc NEWS BUGS TODO
/bin/ps
/usr/bin/free
/usr/bin/skill
/usr/bin/snice
/usr/bin/tload
/usr/bin/top
/usr/bin/uptime
/usr/bin/vmstat
/usr/bin/w
/usr/bin/watch
/usr/man/man1/free.1
/usr/man/man1/ps.1
/usr/man/man1/skill.1
/usr/man/man1/snice.1
/usr/man/man1/tload.1
/usr/man/man1/top.1
/usr/man/man1/uptime.1
/usr/man/man1/w.1
/usr/man/man1/watch.1
/usr/man/man8/psupdate.8
/usr/man/man8/vmstat.8
/usr/sbin/psupdate

